version: "3.7"

services:
  mysqlapp:
    image: mysql
    volumes:
      - mysql-data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: password
      MYSQL_DATABASE: mydb
      MYSQL_USER: thepythoncode
      MYSQL_PASSSWORD: password

  fastdb:
    image: fastdb
    ports:
      - 80:80
    working_dir: /fastdb
    volumes:
      - fast-db:/fastdb
    environment:
      MYSQL_HOST: mysqlapp
      MYSQL_USER: thepythoncode
      MYSQL_PASSWORD: password
      MYSQL_DB: mydb
    depends_on:
      - mysqlapp

volumes:
  mysql-data: {}
  fast-db: {}

